libzypp: zypp::repo::DeltaCandidates Class Reference

libzypp 17.25.10

Classes | Public Member Functions | Private Attributes | Friends | Related Functions | List of all members
zypp::repo::DeltaCandidates Class Reference

Candidate delta and patches for a package. More...

`#include <DeltaCandidates.h>`

## Classes
struct | Impl
| DeltaCandidates implementation. More...

## Public Member Functions
| DeltaCandidates ()
| DeltaCandidates (const std::list< Repository > &repos, const std::string &pkgname="")
| Creates a candidate calculator. More...
| ~DeltaCandidates ()
| Dtor. More...
std::list< packagedelta::DeltaRpm > | deltaRpms (const Package::constPtr &package) const

## Private Attributes
RWCOW_pointer< Impl > | _pimpl
| Pointer to implementation. More...

## Friends
std::ostream & | operator<< (std::ostream &str, const DeltaCandidates &obj)

## Related Functions
(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &str, const DeltaCandidates &obj)
| Stream output. More...
template<class RepoIter >
DeltaCandidates | makeDeltaCandidates (RepoIter begin_r, RepoIter end_r)
| Convenient construction. More...
template<class RepoContainer >
DeltaCandidates | makeDeltaCandidates (const RepoContainer &cont_r)
| Convenient construction. More...

## Detailed Description

Candidate delta and patches for a package.

Basically a container that given N repositories, gets all patches and deltas from them for a given package.

Definition at line 36 of file DeltaCandidates.h.

## Constructor & Destructor Documentation

## ◆ DeltaCandidates() [1/2]

zypp::repo::DeltaCandidates::DeltaCandidates | ( |  | ) |

Definition at line 65 of file DeltaCandidates.cc.

## ◆ DeltaCandidates() [2/2]

zypp::repo::DeltaCandidates::DeltaCandidates | ( | const std::list< Repository > & | repos,
|  | const std::string & | pkgname = `""`
| ) |  |

Creates a candidate calculator.

Parameters

  repos | Set of repositories providing patch and delta packages

Definition at line 70 of file DeltaCandidates.cc.

## ◆ ~DeltaCandidates()

zypp::repo::DeltaCandidates::~DeltaCandidates | ( |  | ) |

Dtor.

Definition at line 75 of file DeltaCandidates.cc.

## Member Function Documentation

## ◆ deltaRpms()

std::list< DeltaRpm > zypp::repo::DeltaCandidates::deltaRpms | ( | const Package::constPtr & | package | ) | const

Definition at line 78 of file DeltaCandidates.cc.

## Friends And Related Function Documentation

## ◆ operator<< [1/2]

std::ostream& operator<< | ( | std::ostream & | str,
|  | const DeltaCandidates & | obj
| ) |  |
| friend

Definition at line 107 of file DeltaCandidates.cc.

## ◆ operator<<() [2/2]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const DeltaCandidates & | obj
| ) |  |
| related

Stream output.

Definition at line 107 of file DeltaCandidates.cc.

## ◆ makeDeltaCandidates() [1/2]

template<class RepoIter >

DeltaCandidates makeDeltaCandidates | ( | RepoIter | begin_r,
|  | RepoIter | end_r
| ) |  |
| related

Convenient construction.

Todo:
  templated ctor

Definition at line 71 of file DeltaCandidates.h.

## ◆ makeDeltaCandidates() [2/2]

template<class RepoContainer >

DeltaCandidates makeDeltaCandidates | ( | const RepoContainer & | cont_r | ) |
| related

Convenient construction.

Todo:
  templated ctor

Definition at line 78 of file DeltaCandidates.h.

## Member Data Documentation

## ◆ _pimpl

RWCOW_pointer<Impl> zypp::repo::DeltaCandidates::_pimpl
| private

Pointer to implementation.

Definition at line 58 of file DeltaCandidates.h.

The documentation for this class was generated from the following files:

- zypp/repo/DeltaCandidates.h
- zypp/repo/DeltaCandidates.cc